class YourTendersApi {
  static const String tenderApproval = '/api/v1/tender-approvals';

  static String getTenders({
    required int limit,
    required int offset,
    required String createdFrom,
    required String createdTo,
    required String status,
  }) {
    String url = '$tenderApproval?limit=$limit&offset=$offset';

    if (createdFrom.isNotEmpty && createdTo.isNotEmpty) {
      url += '&created_from=$createdFrom&created_to=$createdTo';
    }

    if (status.isNotEmpty) {
      url += '&status=$status';
    }

    return url;
  }
}
